Subject: Re: [core-parameters] CoRE LD resource type discussions

From: Jaime Jiménez <[email-masked]>
Date: Mon, 8 Jul 2019 16:41:12 +0300

Forwarding here more discussion details on the  found by Christian.

On Mon, Jul 08, 2019 at 02:17:21PM +0200, Christian M. Amsüss wrote:
> Hi Jaime,
> 
> previous discussions on rt= values:
> 
> * core.rd-ep: was introduced in -14. This was merged in
>   https://github.com/core-wg/resource-directory/pull/146 as a result of
>   the RD authors' meeting before it (see mail from Mon, 25 Jun 2018
>   17:52:55 +0200 to you and the authors, subject "Re: resource directory
>   telco 25 June 2018 16h - 17h30", section "Other open points") -- there
>   was not much of a discussion; MK proposed it and CB and me agreed
>   it's a good idea. Active registraions fit the bill of what
>   https://tools.ietf.org/html/rfc6690#section-3.1 defines as something
>   that can need an "application specific semantic type [of] a resource".
> 
> * core.rd / core.rd-lookup-ep / core.rd-lookup-res: Have been around
>   since core.rd-lookup was split up from cor.rd-lookup in 6e87adea
>   2017-03-13 (for -10) to make for a more REST-ful (and RFC 7320
>   compliant) discovery process.
> 
>   RFC 7320 describes why we need that ("Specifying a fixed path relative
>   to another (e.g., {whatever}/myapp) is also bad practice (even if
>   "whatever" is discovered as suggested in Section 3)") and RFC6690
>   gives us the tools to do it. I don't remember (neither did find) any
>   discussion on the gernal concept of using rt= for that.
> 
> That's all I found
> 
> Christian
> 
> -- 
> To use raw power is to make yourself infinitely vulnerable to greater powers.
>   -- Bene Gesserit axiom

---

From: Jaime Jiménez <[email-masked]>
Date: Mon, 8 Jul 2019 16:59:35 +0300

Dear experts,

sorry for messing the thread, I am new to neomutt and its shortcuts :D 

I hope Christian's comments together with those in the writeup give
sufficient feedback to the reviewers.

Thanks!